org.eclipse.search.ui

## Interface IReplacePage

    public interface IReplacePage

An extension interface to `ISearchPage`. If clients implement `IReplacePage` in addition to `ISearchPage`, a "Replace" button will be shown in the search dialog.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `performReplace()` Performs the replace action for this page.

### Method Detail

#### performReplace

    boolean performReplace()

Performs the replace action for this page. The search dialog calls this method when the Replace button is pressed.

Returns:
  `true` if the dialog can be closed after execution